package com.its.safe.dao.mapper.safe;

import com.its.safe.entity.safe.TbArea;
import com.its.safe.entity.safe.TbMessage;
import com.its.safe.entity.safe.TbReadCheck;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VmsSafeMapper {

    List<TbArea> selectArea();
    List<TbReadCheck> selectNewVmsSafeMessage(@Param("systemId") String systemId);
    int updateConfirmNewVmsSafeMessage(@Param("seq") Long seq);

    List<TbMessage> selectVmsSafeMessage(@Param("messageSeq") Long messageSeq);

    int insertConnCheck(@Param("systemId") String systemId);

}
